/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ElementChoiceEvent.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.rules.editor.event
{
import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;


/**
 * 
 * 
 * @author Julien Nicoulaud
 */
public class ElementChoiceEvent extends CairngormEvent
{

    // =========================================================================
    // Properties
    // =========================================================================
    
    // Event types
    
    public static var CHOOSE_ELEMENT_TYPE:String = "chooseElementType";
    
    
    // Event properties
    
    /**
    * The chosen element type
    */
    public var elementType : String;
    
    
    // =========================================================================
    // Initialization
    // =========================================================================
    
    /**
    * Creates a new ElementChoiceEvent
    */
    public function ElementChoiceEvent(type:String,
                                       elementType:String)
    {
        // Call super class constructor
        super(type);
        
        // Assign properties
        this.elementType = elementType;
    }
    
    
    // =========================================================================
    // Utils
    // =========================================================================
    
    /**
    * Clone a ElementChoiceEvent
    */
    override public function clone() : Event
    {
        return new ElementChoiceEvent(this.type,this.elementType);
    }
    
}
}
